package com.nokia.fuse.http;

import org.apache.camel.Exchange;
import org.apache.camel.Message;

import java.io.*; 
import java.util.*; 

import javax.servlet.http.HttpServletRequest;

import org.apache.camel.Processor;
import org.apache.camel.component.http.HttpMessage;

public class MyBookService implements Processor 
{
    public void process(Exchange exchange) throws Exception 
    {
    	System.out.println("inside process method");
        // just get the body as a string
    	
    	Message inMessage = exchange.getIn();
    	System.out.println("inMessage::::"+inMessage);
        String body = exchange.getIn().getBody(String.class);
       System.out.println("body::::"+body);
       // //we have access to the HttpServletRequest here and we can grab it if we need it
        HttpServletRequest req = exchange.getIn().getBody(HttpServletRequest.class);
       System.out.println("req::::"+req);

        // send a html response
       exchange.getOut().setBody("<html><body>Book 123 is Camel in Action</body></html>");
    	System.exit(0);
    }
}

